/** @file
 * $Source: /repository/event/tmtc/TmtcEvent.cpp,v $
 * $Id: TmtcEvent.cpp,v 1.1 2008-01-11 17:14:19 messineo Exp $
 * $Author: messineo $
 * 
 * Implementation of the TmtcEvent class.
 */
#include "TmtcEvent.h"

using namespace pamela;
TClonesArray *TmtcEvent::fgRecords = 0;

TmtcEvent::TmtcEvent(void): SubPacket("Tmtc", PacketType::Tmtc) {
if (!fgRecords) fgRecords = new TClonesArray("pamela::TmtcRecord", 1);
   Records = fgRecords;
}

TmtcEvent::~TmtcEvent(void) {
}
ClassImp(TmtcEvent)
